Flex compile completely broken in #9821?

With build #9821 I cannot compile any Flex project, even HelloWorld does not work (OS-X 10.5.6):

Error: Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in .class file
.....


Regards,
Peter

5 comments
Comment actions Permalink

Thank you for the information.
As workaround, please, try to remove idea-fcsh-fix.jar (or take it from
other version)

Peter Jacobsen wrote:

With build #9821 I cannot compile any Flex project, even HelloWorld does not work (OS-X 10.5.6):

Error: Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad version number in .class file
....


Regards,
Peter

---
Original message URL: http://www.jetbrains.net/devnet/message/5236520#5236520



--
Best regards,
Maxim Mossienko
IntelliJ Labs / JetBrains Inc.
http://www.intellij.com
"Develop with pleasure!"

0
Comment actions Permalink

Hi Maxim,

thanks for the workaround, I am using build #9815 idea-fcsh-fix.jar now. If you have a fix for "idea-fcsh-fix.jar" before the next EAP - maybe you can provide the jar off-list.

Thanks and Regards,
Peter

0
Comment actions Permalink

Attached newer file version to http://www.jetbrains.net/jira/browse/IDEADEV-36394
It would be nice for you to test it on occassion

0
Comment actions Permalink

The 1.5 JDK compiled flex-fcsh-fix.jar works fine under OS-X 10.5.6, thanks for the quick fix.

Regards,
Peter

0
Comment actions Permalink

Maxim, thanks for the quick fix! And thanks to Peter for reporting this issue here and talking about it via Skype! Works great on my machine too (OS X 10.5.6). And my Sunday has been solved to enjoy the sunny day

-Jens

0

Please sign in to leave a comment.